searchNodes=[{"doc":"Functions to return the date of the first, last or nth day of the week on, nearest, before or after a given date.","ref":"Kday.html","title":"Kday","type":"module"},{"doc":"Return the date of the first day_of_week on or after the specified date . Arguments date is %Date{} , a %DateTime{} , %NaiveDateTime{} or ISO days since epoch. k is an integer day of the week. Returns A %Date{”} in the calendar of the date provided as an argument Examples # US election day iex&gt; Kday . first_kday ( ~D[2017-11-02] , 2 ) ~D[2017-11-07] # US Daylight savings end iex&gt; Kday . first_kday ( ~D[2017-11-01] , 7 ) ~D[2017-11-05]","ref":"Kday.html#first_kday/2","title":"Kday.first_kday/2","type":"function"},{"doc":"Returns the day of the week for a given iso_day_number Arguments iso_day_number is the number of days since the start of the epoch. Returns An integer representing a day of the week where Monday is represented by 1 and Sunday is represented by 7 Examples iex&gt; days = Date . to_gregorian_days ~D[2019-01-01] iex&gt; Kday . iso_days_to_day_of_week ( days ) == 2 true","ref":"Kday.html#iso_days_to_day_of_week/1","title":"Kday.iso_days_to_day_of_week/1","type":"function"},{"doc":"Return the date of the day_of_week after the specified date . Arguments date is %Date{} , a %DateTime{} , %NaiveDateTime{} or ISO days since epoch. k is an integer day of the week. Returns A %Date{} in the calendar of the date provided as an argument Examples iex&gt; Kday . kday_after ( ~D[2016-02-29] , 2 ) ~D[2016-03-01] iex&gt; Kday . kday_after ( ~D[2017-11-30] , 1 ) ~D[2017-12-04] iex&gt; Kday . kday_after ( ~D[2017-06-30] , 6 ) ~D[2017-07-01] iex&gt; Kday . kday_after ( ~D[2021-03-28] , 7 ) ~D[2021-04-04]","ref":"Kday.html#kday_after/2","title":"Kday.kday_after/2","type":"function"},{"doc":"Return the date of the day_of_week before the specified date . Arguments date is %Date{} , a %DateTime{} , %NaiveDateTime{} or a Rata Die k is an integer day of the week. Returns A %Date{} in the calendar of the date provided as an argument Examples iex&gt; Kday . kday_before ( ~D[2016-02-29] , 2 ) ~D[2016-02-23] iex&gt; Kday . kday_before ( ~D[2017-11-30] , 1 ) ~D[2017-11-27] # 6 means Saturday. Use either the integer value or the atom form. iex&gt; Kday . kday_before ( ~D[2017-06-30] , 6 ) ~D[2017-06-24]","ref":"Kday.html#kday_before/2","title":"Kday.kday_before/2","type":"function"},{"doc":"Return the date of the day_of_week nearest the specified date . Arguments date is %Date{} , a %DateTime{} , %NaiveDateTime{} or a Rata Die k is an integer day of the week. Returns A %Date{} in the calendar of the date provided as an argument Examples iex&gt; Kday . kday_nearest ( ~D[2016-02-29] , 2 ) ~D[2016-03-01] iex&gt; Kday . kday_nearest ( ~D[2017-11-30] , 1 ) ~D[2017-11-27] iex&gt; Kday . kday_nearest ( ~D[2017-06-30] , 6 ) ~D[2017-07-01]","ref":"Kday.html#kday_nearest/2","title":"Kday.kday_nearest/2","type":"function"},{"doc":"Return the date of the day_of_week on or after the specified date . Arguments date is %Date{} , a %DateTime{} , %NaiveDateTime{} or a Rata Die k is an integer day of the week. Returns A %Date{} in the calendar of the date provided as an argument Examples iex&gt; Kday . kday_on_or_after ( ~D[2016-02-29] , 2 ) ~D[2016-03-01] iex&gt; Kday . kday_on_or_after ( ~D[2017-11-30] , 1 ) ~D[2017-12-04] iex&gt; Kday . kday_on_or_after ( ~D[2017-06-30] , 6 ) ~D[2017-07-01]","ref":"Kday.html#kday_on_or_after/2","title":"Kday.kday_on_or_after/2","type":"function"},{"doc":"Return the date of the day_of_week on or before the specified date . Arguments date is %Date{} , a %DateTime{} , %NaiveDateTime{} or a Rata Die k is an integer day of the week. Returns A %Date{} in the calendar of the date provided as an argument Examples iex&gt; Kday . kday_on_or_before ( ~D[2016-02-29] , 2 ) ~D[2016-02-23] iex&gt; Kday . kday_on_or_before ( ~D[2017-11-30] , 1 ) ~D[2017-11-27] iex&gt; Kday . kday_on_or_before ( ~D[2017-06-30] , 6 ) ~D[2017-06-24]","ref":"Kday.html#kday_on_or_before/2","title":"Kday.kday_on_or_before/2","type":"function"},{"doc":"Return the date of the last day_of_week on or before the specified date . Arguments date is %Date{} , a %DateTime{} , %NaiveDateTime{} or ISO days since epoch. k is an integer day of the week. Returns A %Date{} in the calendar of the date provided as an argument Example # Memorial Day in the US iex&gt; Kday . last_kday ( ~D[2017-05-31] , 1 ) ~D[2017-05-29]","ref":"Kday.html#last_kday/2","title":"Kday.last_kday/2","type":"function"},{"doc":"Return the date of the nth day_of_week on or before/after the specified date . Arguments date is %Date{} , a %DateTime{} , %NaiveDateTime{} or ISO days since epoch. n is the cardinal number of k before (negative n ) or after (positive n ) the specified date k is an integer day of the week. Returns A %Date{} in the calendar of the date provided as an argument Examples # Thanksgiving in the US iex&gt; Kday . nth_kday ( ~D[2017-11-01] , 4 , 4 ) ~D[2017-11-23] # Labor day in the US iex&gt; Kday . nth_kday ( ~D[2017-09-01] , 1 , 1 ) ~D[2017-09-04] # Daylight savings time starts in the US iex&gt; Kday . nth_kday ( ~D[2017-03-01] , 2 , 7 ) ~D[2017-03-12]","ref":"Kday.html#nth_kday/3","title":"Kday.nth_kday/3","type":"function"},{"doc":"Returns the number of days in n weeks Example iex&gt; Kday . weeks_to_days ( 2 ) 14","ref":"Kday.html#weeks_to_days/1","title":"Kday.weeks_to_days/1","type":"function"},{"doc":"","ref":"readme.html","title":"Kday","type":"extras"},{"doc":"kday provides functions to return the date of the first, last or nth day of the week on, nearest, before or after a given date.","ref":"readme.html#introduction","title":"Kday - Introduction","type":"extras"},{"doc":"Add kday to your deps in mix.exs . def deps do [ { :kday , &quot;~&gt; 1.0&quot; } ... ] end","ref":"readme.html#kday-installation","title":"Kday - Kday Installation","type":"extras"},{"doc":"first_kday(date, k) - Return the date of the first day_of_week on or after the specified date . kday_after(date, k) - Return the date of the day_of_week after the specified date . kday_before(date, k) - Return the date of the day_of_week before the specified date . kday_nearest(date, k) - Return the date of the day_of_week nearest the specified date . kday_on_or_after(date, k) - Return the date of the day_of_week on or after the specified date . kday_on_or_before(date, k) - Return the date of the day_of_week on or before the specified date . last_kday(date, k) - Return the date of the last day_of_week on or before the specified date . nth_kday(date, n, k) - Return the date of the nth day_of_week on or before/after the specified date .","ref":"readme.html#functions","title":"Kday - Functions","type":"extras"},{"doc":"Days of the week follow the elixir convention of 1 being Monday and 7 being Sunday. # Memorial Day in the US iex&gt; Kday . last_kday ( ~D[2017-05-31] , 1 ) ~D[2017-05-29] iex&gt; Kday . kday_nearest ( ~D[2016-02-29] , 2 ) ~D[2016-03-01] iex&gt; Kday . kday_on_or_after ( ~D[2017-11-30] , 1 ) ~D[2017-12-04]","ref":"readme.html#examples","title":"Kday - Examples","type":"extras"},{"doc":"Copyright 2021 Kip Cole Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at http :// www . apache . org / licenses / LICENSE - 2.0 Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.","ref":"license.html","title":"License","type":"extras"},{"doc":"","ref":"changelog.html","title":"Changelog","type":"extras"},{"doc":"This is the changelog for Kday v1.0.1 released on January 31st, 2021. For older changelogs please consult the release tag on GitHub Bug Fixes Fixes nth_kday/3 when the provided kday is the same day of the week as the day of the provided date . Thanks to @gworkman for the report and the PR.","ref":"changelog.html#kday-v1-0-1","title":"Changelog - Kday v1.0.1","type":"extras"},{"doc":"This is the changelog for Kday v1.0.0 released on October 31st, 2021. For older changelogs please consult the release tag on GitHub Enhancements Initial release extracted from ex_cldr_calendars .","ref":"changelog.html#kday-v1-0-0","title":"Changelog - Kday v1.0.0","type":"extras"}]